:root{
  --background-color: #ffffff;
    --background-dark: #BE1E2D;
    --background-light: rgb(230, 199, 172);
    --text-color: #222222; 
}
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
body {
  background-color: rgb(211, 209, 209);
  color: var(--text-color);
  font-family: "Poppins", 'Roboto';
}
.heading {
  margin: 1rem auto;
  text-align: center;
  width: 90%;
}
.main-div{
  display: flex;
  justify-content: space-between;
  gap: 2em;
  padding: 2em;
}
#main-form {
  width: 80%;
  margin: 0 auto;
  height: auto;
  background-color: var(--background-color);
  text-align: left;
  box-shadow: 0px 2px 8px var(--text-color);
}
.heading{
  text-align: center;
}
.heading h1{
  color: var(--background-dark);
  /* text-shadow: 0px 1px 1px var(--text-color); */
  font-size: 2.3em;
  font-family: "Poppins";
}
.heading p{
  background-color: var(--background-color);
  color: var(--text-color);
  font-size: 1.1em;
  width: 80%;
  margin: 0 auto;
  padding: .5em;
  font-weight: 500;
  font-family: "Roboto";
  box-shadow: 0px 2px 2px var(--background-dark);
}
section {
  box-shadow: 0px 2px 3px var(--text-color);
}
label {
  display: inline-block;
  text-align: left;
  width: 30%;
  padding: 8px 16px;
  font-weight: bold;
  font-size: 16px;
  font-family: "Times New Roman", Times, serif;
}
hr {
  margin: 8px 0;
  border: 1px solid var(--text-color);
}
h3 {
  padding: .5em 1em;
  font-size: 1.7em;
  color: var(--background-dark);
  background-color: var(--background-light);
  /* text-shadow: 0px 1px 1px var(--text-color); */
}
.skills-input {
  display: flex;
  width: 30%;
}
input {
  padding: 6px 40px;
  border: 1px solid var(--text-color);
  width: 55%;
  margin: 8px 0;
  margin-left: 2rem;
  text-align: center;
  border-radius: 2px;
  font-family: Georgia;
  font-size: 14px;
}
#address-text {
  height: 4rem;
}
/* Education and Experience Section Borders */
.education,
.experience {
  margin: .2em;
  box-shadow: 0px 2px 4px var(--text-color);
}

.add-more {
  display: block;
  margin: 1em auto;
  padding: 8px 12px;
  color: var(--background-color);
  background-color: var(--background-dark);
  border: none;
  box-shadow: 0px 2px 4px var(--text-color);
  border-radius: 4px;
  cursor: pointer;
  font-size: 1.1em;
  font-weight: bold;
  border: 2px solid transparent;
}
.add-more:hover {
  background-color: var(--background-light);
    color: var(--background-dark);
    border: 2px solid var(--background-dark);
}
#skills-grid {
  display: grid;
  align-items: center;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  width: 100%;
  padding: 16px;
  margin: 16px auto;
  border-radius: 8px;
  }
.skills-input {
  width: 80%;
  margin: 1em auto;
  padding: .7em;
  border: 1px solid var(--text-color);
  border-radius: 4px;
  font-size: 14px;
  box-shadow: 0px 1px 2px var(--background-dark);
}


.skills-input:hover {
  border-color: #e44f57;
  box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.2);
}
.add-skills {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  font-size: 14px;
  font-weight: bold;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  background-color: #eb5d63;
  color: white;
  border: 1px solid transparent;
  cursor: pointer;
  margin: 8px auto;
}
.add-skills:hover {
  box-shadow: 2px 2px 10px #eb5d63;
  border: 1px solid #e44f57;
  font-size: 16px;
}

#submit {
  display: block;
  margin: 2rem auto;
  padding: .7em 3em;
  border: 2px solid var(--text-color);
  background-color: var(--background-light);
  cursor: pointer;
  color: var(--background-dark);
  /* text-shadow: 0px 1px 1px var(--text-color); */
  margin-bottom: 2rem;
  font-size: 1.3em;
  font-weight: bold;
  border-radius: 4px;
  box-shadow: 0px 1px 2px var(--background-dark);
}
#submit:hover {
  background-color: var(--background-dark);
  box-shadow: 2px 2px 10px var(--text-color);
  color: var(--background-color);
}


/*Completed Resume Display*/
#generated-resume {
  width: 50%;
  height: auto;
  margin: 0 auto;
}

#personal-data{
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 1em 3em;
  height: auto;
  background-color: var(--background-dark);
  color: var(--background-color);
}
#profile-photo {
  width: 120px;
  height: 120px;
  border-radius: 50%;
  object-fit: cover;
  box-shadow: 0 4px 8px var(--text-color );
}
#data-grid{
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  gap: .3em;
  width: 80%;
}
#data-grid h1 {
  font-size: 1.3rem;
  margin-bottom: .5em;
  /* text-shadow: 0px 2px 2px var(--text-color); */
}
#data-grid p {
  font-size: .9em;
}

#skills-list {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-template-rows: auto;
  gap: .2rem;
  align-items: center;
  padding: 1em;
  font-size: .7em;
}
.btns{
  display: flex;
  justify-content: center;
  gap: 2em;
  margin: 1em auto;
}
#edit-resume,
#download-pdf {
    padding: 1em 2em;
    color: var(--background-color);
    background-color: var(--background-dark);
    border: none;
    box-shadow: 0px 2px 4px var(--text-color);
    border-radius: 4px;
    font-size: 12px;
    font-weight: bold;
    cursor: pointer;
}
#edit-resume:hover,
#download-pdf:hover {
  background-color: var(--background-light);
    color: var(--background-dark);
}
hr {
  margin: 2px;
  border: dashed 1px var(--text-color);
}

#education-data p,
#experience-data p {
  text-align: left;
  margin: 1em 3em;
  font-size: .8em;
}
#education-data h2,
#experience-data h2, #skills-data h2 {
  padding: 8px;
  background-color: var(--background-light);
  font-size: 1em;
}
#resume-content {
  margin: 0 auto;
  width: 90%;
  border: solid 2px var(--text-color);
  background-color: var(--background-color);
}


/*new education and experience section close button */
.close-btn {
  background-color: var(--background-dark);
  color: white;
  border: none;
  padding: 5px 10px;
  margin-top: 10px;
  cursor: pointer;
  border-radius: 3px;
}


@media (max-width: 1100px){
  .main-div{
    display: flex;
    flex-direction: column-reverse;
  }
  #main-form{
    width: 100%;
  }
  #generated-resume {
    width: 80%;
  }
}

@media (max-width: 800px){
  #generated-resume{
    width: 100%;
  }
  .resume-content{
    margin: 0 auto;
    width: 80%;
  }
  .btns{
    margin: 1em 3em;
  }
}
@media (max-width: 500px){
  .heading h1{
    font-size: 1.6em;
  }
  .heading p{
    font-size: 1em;
    width: 90%;
    padding: .3em;
  }
  label {
    padding: 8px 16px;
    font-size: 12px;
  }
  h3 {
    font-size: 1.3em;
  }
  input {
    padding: 4px 40px;
    font-size: 14px;
  }
  .add-more {
    margin: 1em auto;
    padding: .5em 1em;
    font-size: .6em;
  }
  .skills-input {
    width: 90%;
    padding: .6em;
    font-size: 12px;
  }
  #submit {
    margin: 1em auto;
    padding: .5em 1.5em;
    font-size: 1em;
  }

  /* Resume */
  
#personal-data{
  padding: 1em;
}
#profile-photo {
  margin-left: 3em;
  width: 100px;
  height: 100px;
}
#data-grid{
  margin-right: 2em;
}
#data-grid h1 {
  font-size: 1.1rem;
}
#data-grid p {
  font-size: .6em;
}
#edit-resume,
#download-pdf {
    padding: .5em 1em;
    font-size: 10px;
}

}
